<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Resource details</title>
    </head>
    <body>
        <div id = "details_nav" class = "three-col">
            <h4>Busy getting data...</h4>
        </div>
        <div id = "resource_details_container">
            <div style="overflow-x: scroll;border:thin solid black;margin-bottom: 5px;">
                <h2>Shortcuts:</h2>
                <div id = "shortcut_div">
                    <p>No shortcuts for this resource</p>
                </div>
            </div>
            <div style="overflow-x: scroll;border:thin solid black;margin-bottom: 5px;display:none">
                <h2>Photos:</h2>
                <div id = "photo_div" class = "three-col" >
                    
                </div>
                <div class = "five-col ">
                    <h4>Add photo: </h4>
                    <input type="file"   onchange="loadFile(event)" />
                    <br><img id="myImg" src="#" width="40%">
                    <button onclick="add_resource_photo()">Add photo</button>
                </div>
            </div>
            
            <div style="overflow-x: scroll;border:thin solid black;margin-bottom: 5px;">
                <h2>Attributes:</h2>
                <div id = "atr_div">
                    <h3>Personal</h3>
                    <table id = "Personal_atr_tab"></table>
                    <h3>Relational</h3>
                    <table id = "Relational_atr_tab"></table>
                    <h3>Management</h3>
                    <table id = "Management_atr_tab"></table>
                    <h3>State</h3>
                    <table id = "State_atr_tab"></table>
                </div>
                <div style="overflow-x: scroll;border:thin solid black;margin-bottom: 5px;" id = "atr_edit_div"></div>
            </div>
            <div style="overflow-x: scroll;border:thin solid black;margin-bottom: 5px;">
                <h2>State variables:</h2>
                <div id = "sbb_div">
                    <table id = "sbb_tab"></table>
                </div>
            </div>
            <div style="overflow-x: scroll;border:thin solid black;margin-bottom: 5px;">
                <h2>Schedule:</h2>
                <div id = "sched_div">
                    <button onclick="get_schedule()">Get schedule</button>
                    <div id= "sched_tab_div"></div>
                </div>
            </div>
    
            <div style="overflow-x: scroll;border:thin solid black;margin-bottom: 5px;">
                <h2>Execution:</h2>
                <div id = "exe_div">
    
                </div>
            </div>
    
            <div style="overflow-x: scroll;border:thin solid rgb(0, 0, 0);margin-bottom: 5px;">
                <h2>Biography (excluding Resource Data):</h2>
                <div id = "bio_div">
                    <button onclick="get_entire_biography()">Get entire biography</button>
                    <button onclick="get_bio_that_includes('(SPA)')">Get past service provision acts</button>
                    <button onclick="get_bio_that_includes('(RA)')">Get past resource acts</button>
                    <button onclick="get_sched_refl_and_anal_errors()">Get past scheduling, reflection and analysis errors</button>
                    <div id = "bio_tab_div"></div>
                </div>
                
            </div>
            
            <div style="overflow-x: scroll;border:thin solid black;margin-bottom: 5px;">
                <h2>Resource Data (data recorded about this resource by other resources in the factory like temperature, failure observations etc.):</h2>
                <div id = "rd_div">
                    <div>
                        <button onclick="get_all_rds()">Get all resource data</button>
                        <button onclick="get_atrs_rd()">Get resource data used to derive checked attributes and state variables</button>
                        <button onclick="get_specific_rds()">Specify which resource data to get</button>
                    </div>
                    <div class = "two-col">
                        <div class = "two-col">
                            <label>Date (from where to get data till now):</label>
                            <input type = "date" id = "rd_date_input">
                        </div>
                        
                    </div>
                    <div id = "rd_graph_and_table">
                        <div id = "rd_graph"></div>
                        <div id = "rd_table_div"></div>
                    </div>
                    
                </div>
            
            </div>
        </div>
       

    </body>
</html>